package com.evilco.mc.nbt.tag;

import com.evilco.mc.nbt.error.TagNotFoundException;
import com.evilco.mc.nbt.error.UnexpectedTagTypeException;
import java.util.Map;
import javax.annotation.Nonnull;

public interface INamedTagContainer extends ITagContainer {
   ITag getTag(@Nonnull String var1);

   <T extends ITag> T getTag(String var1, Class<T> var2) throws UnexpectedTagTypeException, TagNotFoundException;

   Map<String, ITag> getTags();

   void removeTag(@Nonnull String var1);

   void setTag(@Nonnull ITag var1);
}
